/******************************************************************************
 *
 *                Copyright (c) 2017-2019 by Löwenware Ltd
 *             Please, refer LICENSE file for legal information
 *
 ******************************************************************************/

/**
 * @file retcode.h
 * @author Ilja Kartašov <ik@lowenware.com>
 * @brief cStuff return codes
 *
 * @see https://lowenware.com/
 */

#ifndef CSTUFF_RETCODE_H_CBA3C16B_88D6_49F4_966D_DBDA727583FE
#define CSTUFF_RETCODE_H_CBA3C16B_88D6_49F4_966D_DBDA727583FE

typedef enum {
	  CSTUFF_INPUT_ERROR = -3
	, CSTUFF_MALLOC_ERROR  = -2
	, CSTUFF_SYSCALL_ERROR = -1
	, CSTUFF_SUCCESS = 0
	, CSTUFF_IDLE    = 1

} CStuffRetcode;

#endif /* !CSTUFF_RETCODE_H */
